#!/bin/sh

rm -f gmt.history plot.ps output.pdf

gmt gmtset COLOR_BACKGROUND = 238/207/161
gmt gmtset COLOR_FOREGROUND = 127/255/127

gmt gmtset MAP_FRAME_TYPE = plain
gmt gmtset MAP_FRAME_PEN = thinner,black
gmt gmtset PS_SCALE_X=1.025
gmt gmtset PS_SCALE_Y=1.025
gmt gmtset MAP_GRID_PEN_PRIMARY=thinnest,lightgrey,4_2_5_2:2p
gmt gmtset FONT_ANNOT_PRIMARY=6p,Helvetica,black
gmt gmtset FONT_LABEL=7p,Helvetica,black
gmt gmtset PS_PAGE_ORIENTATION=landscape



ps=mercator_coast.ps

reg=-165/-159/53/55.5

gmt pscoast -R${reg} -JM12  -K  -Df -G120  > ${ps}

gmt psxy BSFZ_and_trench.dat -R${reg} -JM -Sf0.27i/0.03i+r+t+o0.2i -Gblue -O -K  -Wblue  >> ${ps}
gmt psxy toe_thrusts.dat -R${reg} -JM -Sf0.27i/0.03i+l+r+o0.2i -Gblue -O -K  -Wblue  >> ${ps}

gmt psxy Bruns_discont.dat -R${reg} -JM -Sf0.2i/0.027i+r+b+o0.1i -Ggrey -O -K -Wgrey  >> ${ps}
gmt psxy doc_central_Sanak_normal.dat -R${reg} -JM -Sf0.2i/0.027i+r+b+o0.1i -Gblack -O -K -Wblack  >> ${ps}

gmt psxy Central_Sanak_uncert_normal.dat -R${reg} -JM -Sf0.2i/0.027i+r+b+o0.1i -Gblack -O -K -Wblack,-  >> ${ps}

gmt psxy strike_l203.dat -R${reg} -JM -O -K -Wblack  >> ${ps}
gmt psxy inferred_strike.dat -R${reg} -JM -O -K -Wblack,-  >> ${ps}

gmt psxy main_landward_dip_normal.dat -R${reg} -JM -Sf0.2i/0.027i+r+b+o0.1i -Gorange -O -K -Worange  >> ${ps}
gmt psxy main_cont.dat -R${reg} -JM -O -K -Worange,..-  >> ${ps}

gmt psxy secondary_landward_dip.dat -R${reg} -JM -Sf0.2i/0.027i+r+b+o0.1i -Gred -O -K -Wred  >> ${ps}

gmt psxy seaward_dip_normal.dat -R${reg} -JM -Sf0.2i/0.027i+r+b+o0.1i -Gyellow -O -K -Wyellow  >> ${ps}
gmt psxy Sanak_high_uncert_cont_seaward.dat -R${reg} -JM -O -K -Wyellow,..-  >> ${ps}


gmt psbasemap -R${reg} -JM -Bxa1f1g1 -Bya1f1g1 -O >> ${ps}



evince ${ps} 
